Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227856 - Silent failure to config change if disk full
Summary: Silent failure to config change if disk full
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nielsen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 16:45 UTC by Steve Bonneville
Modified: 2008-05-06 19:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:11:35 UTC


Attachments (Terms of Use)

Description Steve Bonneville 2007-02-08 16:45:56 UTC
Description of problem:

The beagle indexing process created a ~/.beagle directory so large
that it filled my /home partition.  I attempted to turn off the
indexing services by unselecting all checkboxes in the Settings.exe
Search tab (System->Preferences->Search and Indexing item in the 
Panel menu), but neglected to clear any disk space in /home first.

The GUI seemed to accept the setting changes when I clicked OK, but
they silently failed to apply the changes because the disk was full.  
Rerunning the GUI showed the checkboxes selected again.  I agree
that the settings should probably fail to apply under these conditions, 
but a dialog box should probably be popped up notifying the user of 
the fact that the change failed due to lack of space on $HOME's file
system.

Version-Release number of selected component (if applicable):
beagle-gui-0.2.13-1.fc6

Comment 1 Bug Zapper 2008-04-04 06:09:07 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2008-05-06 19:11:33 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.